Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Не работают все браузеры на основе Chromium (libsoftokn3.so)  (Прочитано 1565 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Пришли обновления ПО и ядра, ничего необычного. Но после перезагрузки, при попытке запустить любой браузер на основе Chromium (Chromium, Google Chrome, Opera и др.) - получаю ошибку:
Цитировать
[17944:17997:0716/194749:ERROR:nss_util.cc(740)] Error initializing NSS with a persistent database (sql:/home/givizub/.pki/nssdb): libsoftokn3.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога
[17944:17997:0716/194749:ERROR:nss_util.cc(211)] Error initializing NSS without a persistent database: NSS error code: -5925
[17944:17997:0716/194749:FATAL:nss_util.cc(213)] nss_error=-5925, os_error=0
Нашел по этой проблеме багрепорты за 2011 год. Но проблема не в браузерах, для chrome обновления и вовсе отключены. Запуск со старым ядром ничего не изменил. Что могло случиться?
Ubuntu 12.04 x64, ядро 3-13-0.92. З
« Последнее редактирование: 17 Июль 2016, 10:03:26 от Givizub »
R.I.P. - Unity

Оффлайн Sergiy17

  • Любитель
  • *
  • Сообщений: 88
    • Просмотр профиля
Выполнили sudo apt-get install -f и sudo apt-get dist-upgrade?
Лучший способ в чём-то разобраться до конца — это попробовать научить этому компьютер." (с) Дональд Кнут

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2508
    • Просмотр профиля
Что могло случится?

Мог случиться пользователь, который не умеет читать.
libnss3 установлен?
Я никого не сторожил!

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Выполнили sudo apt-get install -f и sudo apt-get dist-upgrade?
sudo apt-get install -f и dist-upgrade — 0 пакетов для обновления и удаления.

libnss3 установлен?
Установлен.
R.I.P. - Unity

Оффлайн soarin

  • Старожил
  • *
  • Сообщений: 1473
  • ubuntu 18.04
    • Просмотр профиля
Поддержка ubuntu 12.04 браузерами на основе Chromium дропнута
Как раз связано с криптографическими библиотеками (NSS и все все все)

Пробой на чистой установке Ubuntu 12.04 (в виртуалке) поставить и запустить штатный Chromium из реп.
Если не заработает, то пиши багрепорт. Если заработает, то ищи разницу.
« Последнее редактирование: 17 Июль 2016, 12:15:04 от soarin »

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
На других форумах ссылаются на то, что завершилась поддержка Chrome. Но, во первых, сама Canonical поддерживает Хромиум для LTS версий:
Цитировать
Canonical takes care of Chromium browser during the support life cycle of Ubuntu.
Во вторых, я не найду подобных ошибок за недавнее время, есть только багрепорты за 2011, 2013 год. В случае массового отказа - их бы было намного больше.



Установил 16.04.
Борюсь с багами.
« Последнее редактирование: 23 Июль 2016, 19:01:20 от Givizub »
R.I.P. - Unity

 

Страница сгенерирована за 0.056 секунд. Запросов: 24.